Skip to navigation

Get filtered list of shared envelopes

View as Markdown
Returns the set of envelope share data for all sharing requests for the account that meet the provided filter criteria.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Query parameters

countstringOptional
The maximum number of shared envelopes to return. Defaults to 50. The maximum value is 100.
from_datestringOptional
The date after which envelope sharing requests may be returned by the query, in ISO 8601 format.
includestringOptional

Specifies that additional data should be included. Possible values are:

  • recipients
  • delegations
  • workflow custom_fields
orderstringOptional

Specify whether the results will be ordered in ascending or descending order. Possible values are:

  • asc
  • desc (default)
order_bystringOptional
Must be lastModifiedDateTime.
search_textstringOptional
Includes results whose subjects contain the provided text string.
start_positionstringOptional
The position in the search results to begin displaying entries.
statusstringOptional

Enables you to filter by envelope lifecycle statuses. Possible values are:

  • draft
  • completed
  • declined
  • voided
to_datestringOptional
The date before which envelope sharing requests may be returned by the query, in ISO 8601 format.

Response

Successful response.
continuationTokenstringOptional
Reserved for Docusign.
endPositionstringOptional
The last index position in the result set.
envelopeslist of objectsOptional
Array of envelope information.
envelopeSearchSourcestringOptional
envelopeTransactionStatuseslist of objectsOptional
Array of envelope statuses and transaction IDs in the result set.
folderslist of objectsOptional
A list of folder objects.
lastQueriedDateTimestringOptional
The last time that a query was performed.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Errors

400
Bad Request Error